#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define 	module	keyczar
Summary:	Toolkit for safe and simple cryptography
Summary(pl.UTF-8):	Zbiór narzędzi do bezpiecznej i prostej kryptografii
Name:		python-%{module}
Version:	0.716
Release:	2
License:	Apache v2.0
Group:		Development/Languages/Python
# github tarballs contain all bindings, regardless of tag kind...
##Source0Download: https://github.com/google/keyczar/releases
#Source0:	https://github.com/google/keyczar/archive/Python_release_%{version}.tar.gz
# ...so use pypi tarball
#Source0Download: https://pypi.python.org/simple/python-keyczar
Source0:	https://files.pythonhosted.org/packages/source/p/python-keyczar/%{name}-%{version}.tar.gz
# Source0-md5:	734334a6c5921e39003b68429eee77ae
Patch0:		%{name}-tests.patch
URL:		http://www.keyczar.org/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-Crypto
BuildRequires:	python-pyasn1
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Keyczar is an open source cryptographic toolkit designed to make it
easier and safer for developers to use cryptography in their
applications. Keyczar supports authentication and encryption with both
symmetric and asymmetric keys.

%description -l pl.UTF-8
Keyczar to mający otwarte źródła zbiór narzędzi kryptograficznych
zaprojektowany tak, aby programiści mogli łatwiej i bezpieczniej
wykorzystywać kryptografię w swoich aplikacjach. Keyczar obsługuje
uwierzytelnianie oraz szyfrowanie z kluczami symetrycznymi oraz
asymetrycznymi.

%prep
%setup -q
%patch0 -p1

%{__rm} -r python_keyczar.egg-info

%build
%py_build

%if %{with tests}
srcdir=$(pwd)/src
# scripts expect data in ../../testdata, so run them from this subdir
cd tests/keyczar_tests
PYTHONPATH=${srcdir} %{__python} alltests.py
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README doc/pycrypt.pdf
%attr(755,root,root) %{_bindir}/keyczart
%{py_sitescriptdir}/keyczar
%{py_sitescriptdir}/python_keyczar-*.egg-info
%changelog
* Tue Mar 02 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-keyczar.git;a=log;h=master

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 4b59e19
- release 2 (by relup.sh)

* Thu Apr 20 2017 Jakub Bogusz <qboosh@pld-linux.org> 2bc735b
- updated to 0.716
- added tests patch (disable broken test)

* Tue May 03 2016 Jan Rękorajski <baggins@pld-linux.org> f47b333
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 471219d
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 580dffe
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f478103
- automatic change: use py_build/py_install macros

* Wed Sep 18 2013 Elan Ruusamäe <glen@delfi.ee> 297ff29
- new, version 0.71c

